Fedora Online Forum

Lavori in corso! I nostri pinguini sono all'opera e risolveranno i problemi il prima possibile ;-)

#1 02-08-2017 09:49:56

giampaolo4
Pinguino avanzato
Da milano
Registrato: 17-12-2010
Messaggi: 132

Dopo un crash a meta' di aggiornamento, non aggiorna piu'

Ciao a tutti smile

Scusate se scrivo di fretta, ma tra poco devo uscire per prendere un treno, e stavo aggiornando il laptop prima di partire quando mi sono venuti fuori un bel po' di errori:

I delta RPM hanno ridotto 694.8 MB di aggiornamenti a 460.7 MB (33.1% risparmiato)
Esecuzione del controllo di transazione
Controllo di transazione eseguito con successo.
Test di transazione in corso
I pacchetti scaricati sono stati salvati nella cache fino alla prossima transazione completata con successo.
È possibile rimuovere i pacchetti in cache eseguendo 'dnf clean packages'.
Errore: Transaction check error:
  il file /usr/share/doc/glibc/NEWS dell'installazione di glibc-2.24-9.fc25.i686 entra in conflitto con il file del pacchetto glibc-2.24-4.fc25.x86_64
  il file /usr/share/licenses/expat/COPYING dell'installazione di expat-2.2.1-1.fc25.i686 entra in conflitto con il file del pacchetto expat-2.2.0-1.fc25.x86_64
  il file /usr/share/doc/expat/README dell'installazione di expat-2.2.1-1.fc25.i686 entra in conflitto con il file del pacchetto expat-2.2.0-1.fc25.x86_64
  il file /usr/share/man/man1/xmlwf.1.gz dell'installazione di expat-2.2.1-1.fc25.i686 entra in conflitto con il file del pacchetto expat-2.2.0-1.fc25.x86_64
  il file /usr/share/doc/gstreamer1/NEWS dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/doc/gstreamer1/RELEASE dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/af/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/az/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/be/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/bg/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/ca/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/cs/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/da/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/de/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/el/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/en_GB/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/eo/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/es/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/eu/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/fi/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/fr/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/gl/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/hr/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/hu/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/id/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/it/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/ja/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/lt/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/nb/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/nl/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/pl/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/pt_BR/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/ro/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/ru/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/rw/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/sk/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/sl/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/sq/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/sr/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/sv/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/tr/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/uk/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/vi/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/zh_CN/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/zh_TW/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/doc/gsm/ChangeLog dell'installazione di gsm-1.0.17-1.fc25.i686 entra in conflitto con il file del pacchetto gsm-1.0.16-1.fc25.x86_64
  il file /usr/share/doc/gsm/README dell'installazione di gsm-1.0.17-1.fc25.i686 entra in conflitto con il file del pacchetto gsm-1.0.16-1.fc25.x86_64
  il file /usr/share/doc/libgcrypt/NEWS dell'installazione di libgcrypt-1.7.8-1.fc25.i686 entra in conflitto con il file del pacchetto libgcrypt-1.6.6-1.fc25.x86_64
  il file /usr/share/doc/libgcrypt/AUTHORS dell'installazione di libgcrypt-1.7.8-1.fc25.i686 entra in conflitto con il file del pacchetto libgcrypt-1.6.6-1.fc25.x86_64
  il file /usr/share/doc/libtasn1/NEWS dell'installazione di libtasn1-4.12-1.fc25.i686 entra in conflitto con il file del pacchetto libtasn1-4.10-1.fc25.x86_64
  il file /usr/share/doc/libtasn1/libtasn1.pdf dell'installazione di libtasn1-4.12-1.fc25.i686 entra in conflitto con il file del pacchetto libtasn1-4.10-1.fc25.x86_64
  il file /usr/share/doc/gnutls/NEWS dell'installazione di gnutls-3.5.14-1.fc25.i686 entra in conflitto con il file del pacchetto gnutls-3.5.12-2.fc25.x86_64
  il file /usr/share/locale/cs/LC_MESSAGES/gnutls.mo dell'installazione di gnutls-3.5.14-1.fc25.i686 entra in conflitto con il file del pacchetto gnutls-3.5.12-2.fc25.x86_64
  il file /usr/share/locale/de/LC_MESSAGES/gnutls.mo dell'installazione di gnutls-3.5.14-1.fc25.i686 entra in conflitto con il file del pacchetto gnutls-3.5.12-2.fc25.x86_64
  il file /usr/share/locale/en@boldquot/LC_MESSAGES/gnutls.mo dell'installazione di gnutls-3.5.14-1.fc25.i686 entra in conflitto con il file del pacchetto gnutls-3.5.12-2.fc25.x86_64
  il file /usr/share/locale/en@quot/LC_MESSAGES/gnutls.mo dell'installazione di gnutls-3.5.14-1.fc25.i686 entra in conflitto con il file del pacchetto gnutls-3.5.12-2.fc25.x86_64
  il file /usr/share/locale/eo/LC_MESSAGES/gnutls.mo dell'installazione di gnutls-3.5.14-1.fc25.i686 entra in conflitto con il file del pacchetto gnutls-3.5.12-2.fc25.x86_64
  il file /usr/share/locale/fi/LC_MESSAGES/gnutls.mo dell'installazione di gnutls-3.5.14-1.fc25.i686 entra in conflitto con il file del pacchetto gnutls-3.5.12-2.fc25.x86_64
  il file /usr/share/locale/fr/LC_MESSAGES/gnutls.mo dell'installazione di gnutls-3.5.14-1.fc25.i686 entra in conflitto con il file del pacchetto gnutls-3.5.12-2.fc25.x86_64
  il file /usr/share/locale/it/LC_MESSAGES/gnutls.mo dell'installazione di gnutls-3.5.14-1.fc25.i686 entra in conflitto con il file del pacchetto gnutls-3.5.12-2.fc25.x86_64
  il file /usr/share/locale/ms/LC_MESSAGES/gnutls.mo dell'installazione di gnutls-3.5.14-1.fc25.i686 entra in conflitto con il file del pacchetto gnutls-3.5.12-2.fc25.x86_64
  il file /usr/share/locale/nl/LC_MESSAGES/gnutls.mo dell'installazione di gnutls-3.5.14-1.fc25.i686 entra in conflitto con il file del pacchetto gnutls-3.5.12-2.fc25.x86_64
  il file /usr/share/locale/pl/LC_MESSAGES/gnutls.mo dell'installazione di gnutls-3.5.14-1.fc25.i686 entra in conflitto con il file del pacchetto gnutls-3.5.12-2.fc25.x86_64
  il file /usr/share/locale/sv/LC_MESSAGES/gnutls.mo dell'installazione di gnutls-3.5.14-1.fc25.i686 entra in conflitto con il file del pacchetto gnutls-3.5.12-2.fc25.x86_64
  il file /usr/share/locale/uk/LC_MESSAGES/gnutls.mo dell'installazione di gnutls-3.5.14-1.fc25.i686 entra in conflitto con il file del pacchetto gnutls-3.5.12-2.fc25.x86_64
  il file /usr/share/locale/vi/LC_MESSAGES/gnutls.mo dell'installazione di gnutls-3.5.14-1.fc25.i686 entra in conflitto con il file del pacchetto gnutls-3.5.12-2.fc25.x86_64
  il file /usr/share/locale/zh_CN/LC_MESSAGES/gnutls.mo dell'installazione di gnutls-3.5.14-1.fc25.i686 entra in conflitto con il file del pacchetto gnutls-3.5.12-2.fc25.x86_64
  il file /usr/share/locale/af/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/az/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/bg/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/ca/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/cs/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/da/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/de/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/el/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/en_GB/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/eo/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/es/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/eu/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/fi/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/fr/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/gl/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/hr/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/hu/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/id/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/it/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/ja/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/lt/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/lv/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/nb/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/nl/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/or/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/pl/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/pt_BR/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/ro/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/ru/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/sk/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/sl/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/sq/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/sr/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/sv/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/tr/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/uk/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/vi/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/zh_CN/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/doc/graphite2/ChangeLog dell'installazione di graphite2-1.3.10-1.fc25.i686 entra in conflitto con il file del pacchetto graphite2-1.3.6-1.fc25.x86_64
  il file /usr/share/doc/libtiff/VERSION dell'installazione di libtiff-4.0.8-1.fc25.i686 entra in conflitto con il file del pacchetto libtiff-4.0.7-5.fc25.x86_64
  il file /usr/share/doc/libtiff/RELEASE-DATE dell'installazione di libtiff-4.0.8-1.fc25.i686 entra in conflitto con il file del pacchetto libtiff-4.0.7-5.fc25.x86_64
  il file /usr/share/doc/pcre/NEWS dell'installazione di pcre-8.41-1.fc25.i686 entra in conflitto con il file del pacchetto pcre-8.40-7.fc25.x86_64

Error Summary
-------------

[root@new-host ~]# 

Ho gia' provato a dare il dnf clean packages, ma senza esito.

Il background e': l'ultima volta il sistema ha crashato *mentre* facevo gli aggiornamenti, e siccome ero di fretta non ho potuto occuparmene.

Sono un po' senza saper che fare, confesso.

Un caro saluto erga omnes!
G

Non in linea

#2 02-08-2017 11:23:44

frafra
Amministratore
Da Milano
Registrato: 14-05-2014
Messaggi: 2'279
Sito web

Re: Dopo un crash a meta' di aggiornamento, non aggiorna piu'

Non in linea

#3 02-08-2017 14:23:23

giampaolo4
Pinguino avanzato
Da milano
Registrato: 17-12-2010
Messaggi: 132

Re: Dopo un crash a meta' di aggiornamento, non aggiorna piu'

Grazie Frafra,

Mi sa che sono comandi deprecati.

Almeno cosi' dicono qui:
"covered by `dnf list` and `dnf repoclosure`; see `man yum2dnf` for details"

In effetti da terminale mi dava "comando non trovato" big_smile

Cerco di capire, ma se avete i comandi nuovi....

Ciao!

Non in linea

#4 02-08-2017 14:40:53

giampaolo4
Pinguino avanzato
Da milano
Registrato: 17-12-2010
Messaggi: 132

Re: Dopo un crash a meta' di aggiornamento, non aggiorna piu'

Ho provato a fare:

[root@localhost ~]# dnf remove --duplicates
Nessuna corrispondenza per l'argomento: --duplicates
Errore: Nessun pacchetto marcato per la rimozione.

immaginando che fosse il comando equivalente a

package-cleanup --dupes

ma o non si tratta della stessa funzione, o non e' il mio problema...

Non in linea

#5 02-08-2017 15:30:32

giampaolo4
Pinguino avanzato
Da milano
Registrato: 17-12-2010
Messaggi: 132

Re: Dopo un crash a meta' di aggiornamento, non aggiorna piu'

Aggiornamento: dietro dritte di Frafra via chat, ho installato yum-utils, che contiene il comando package-cleanup.
Il comando aveva eseguito un botto di cose, e quindi speranzoso ho lanciato un upgrade.

Il risultato non e' stato meglio dei precedenti, mi pare:

(338/339): wine-core-2.12-1.fc25.i686.rpm                                                                                                                                                     272 kB/s |  25 MB     01:33    
(339/339): youtube-dl-2017.07.09-1.fc25.noarch.rpm                                                                                                                                             68 kB/s | 2.5 MB     00:37    
[DRPM] libreoffice-core-5.2.7.2-5.fc25_5.2.7.2-6.fc25.x86_64.drpm: eseguito                                                                                                                                                  
[DRPM] wine-core-2.11-1.fc25_2.12-1.fc25.x86_64.drpm: eseguito                                                                                                                                                               
[DRPM] wine-times-new-roman-fonts-2.11-1.fc25_2.12-1.fc25.noarch.drpm: eseguito                                                                                                                                              
selinux-policy-targeted-3.13.1-225.19.fc25.noarch: Ricostruzione delta RPM non riuscita
libtasn1-4.12-1.fc25.i686: Ricostruzione delta RPM non riuscita
libgcrypt-1.7.8-1.fc25.i686: Ricostruzione delta RPM non riuscita
pcre-8.41-1.fc25.i686: Ricostruzione delta RPM non riuscita
gsm-1.0.17-1.fc25.i686: Ricostruzione delta RPM non riuscita
gstreamer1-plugins-base-1.10.5-1.fc25.i686: Ricostruzione delta RPM non riuscita
gstreamer1-1.10.5-1.fc25.i686: Ricostruzione delta RPM non riuscita
libtiff-4.0.8-1.fc25.i686: Ricostruzione delta RPM non riuscita
(1/8): libtasn1-4.12-1.fc25.i686.rpm                                                                                                                                                           79 kB/s | 328 kB     00:04    
(2/8): libgcrypt-1.7.8-1.fc25.i686.rpm                                                                                                                                                         94 kB/s | 403 kB     00:04    
(3/8): gsm-1.0.17-1.fc25.i686.rpm                                                                                                                                                              23 kB/s |  35 kB     00:01    
(4/8): pcre-8.41-1.fc25.i686.rpm                                                                                                                                                               27 kB/s | 196 kB     00:07    
(5/8): selinux-policy-targeted-3.13.1-225.19.fc25.noarch.rpm                                                                                                                                  605 kB/s | 9.3 MB     00:15    
(6/8): libtiff-4.0.8-1.fc25.i686.rpm                                                                                                                                                          124 kB/s | 182 kB     00:01    
(7/8): gstreamer1-plugins-base-1.10.5-1.fc25.i686.rpm                                                                                                                                          68 kB/s | 1.4 MB     00:21    
(8/8): gstreamer1-1.10.5-1.fc25.i686.rpm                                                                                                                                                       71 kB/s | 1.2 MB     00:17    
------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Totale                                                                                                                                                                                        667 kB/s | 427 MB     10:56     
I delta RPM hanno ridotto 694.8 MB di aggiornamenti a 432.2 MB (37.1% risparmiato)
Esecuzione del controllo di transazione
Controllo di transazione eseguito con successo.
Test di transazione in corso
I pacchetti scaricati sono stati salvati nella cache fino alla prossima transazione completata con successo.
È possibile rimuovere i pacchetti in cache eseguendo 'dnf clean packages'.
Errore: Transaction check error:
  il file /usr/share/doc/glibc/NEWS dell'installazione di glibc-2.24-9.fc25.i686 entra in conflitto con il file del pacchetto glibc-2.24-4.fc25.x86_64
  il file /usr/share/licenses/expat/COPYING dell'installazione di expat-2.2.1-1.fc25.i686 entra in conflitto con il file del pacchetto expat-2.2.0-1.fc25.x86_64
  il file /usr/share/doc/expat/README dell'installazione di expat-2.2.1-1.fc25.i686 entra in conflitto con il file del pacchetto expat-2.2.0-1.fc25.x86_64
  il file /usr/share/man/man1/xmlwf.1.gz dell'installazione di expat-2.2.1-1.fc25.i686 entra in conflitto con il file del pacchetto expat-2.2.0-1.fc25.x86_64
  il file /usr/share/doc/gstreamer1/NEWS dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/doc/gstreamer1/RELEASE dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/af/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/az/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/be/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/bg/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/ca/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/cs/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/da/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/de/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/el/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/en_GB/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/eo/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/es/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/eu/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/fi/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/fr/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/gl/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/hr/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/hu/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/id/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/it/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/ja/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/lt/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/nb/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/nl/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/pl/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/pt_BR/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/ro/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/ru/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/rw/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/sk/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/sl/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/sq/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/sr/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/sv/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/tr/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/uk/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/vi/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/zh_CN/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/zh_TW/LC_MESSAGES/gstreamer-1.0.mo dell'installazione di gstreamer1-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-1.10.4-1.fc25.x86_64
  il file /usr/share/doc/gsm/ChangeLog dell'installazione di gsm-1.0.17-1.fc25.i686 entra in conflitto con il file del pacchetto gsm-1.0.16-1.fc25.x86_64
  il file /usr/share/doc/gsm/README dell'installazione di gsm-1.0.17-1.fc25.i686 entra in conflitto con il file del pacchetto gsm-1.0.16-1.fc25.x86_64
  il file /usr/share/doc/libgcrypt/NEWS dell'installazione di libgcrypt-1.7.8-1.fc25.i686 entra in conflitto con il file del pacchetto libgcrypt-1.6.6-1.fc25.x86_64
  il file /usr/share/doc/libgcrypt/AUTHORS dell'installazione di libgcrypt-1.7.8-1.fc25.i686 entra in conflitto con il file del pacchetto libgcrypt-1.6.6-1.fc25.x86_64
  il file /usr/share/doc/libtasn1/NEWS dell'installazione di libtasn1-4.12-1.fc25.i686 entra in conflitto con il file del pacchetto libtasn1-4.10-1.fc25.x86_64
  il file /usr/share/doc/libtasn1/libtasn1.pdf dell'installazione di libtasn1-4.12-1.fc25.i686 entra in conflitto con il file del pacchetto libtasn1-4.10-1.fc25.x86_64
  il file /usr/share/doc/gnutls/NEWS dell'installazione di gnutls-3.5.14-1.fc25.i686 entra in conflitto con il file del pacchetto gnutls-3.5.12-2.fc25.x86_64
  il file /usr/share/locale/cs/LC_MESSAGES/gnutls.mo dell'installazione di gnutls-3.5.14-1.fc25.i686 entra in conflitto con il file del pacchetto gnutls-3.5.12-2.fc25.x86_64
  il file /usr/share/locale/de/LC_MESSAGES/gnutls.mo dell'installazione di gnutls-3.5.14-1.fc25.i686 entra in conflitto con il file del pacchetto gnutls-3.5.12-2.fc25.x86_64
  il file /usr/share/locale/en@boldquot/LC_MESSAGES/gnutls.mo dell'installazione di gnutls-3.5.14-1.fc25.i686 entra in conflitto con il file del pacchetto gnutls-3.5.12-2.fc25.x86_64
  il file /usr/share/locale/en@quot/LC_MESSAGES/gnutls.mo dell'installazione di gnutls-3.5.14-1.fc25.i686 entra in conflitto con il file del pacchetto gnutls-3.5.12-2.fc25.x86_64
  il file /usr/share/locale/eo/LC_MESSAGES/gnutls.mo dell'installazione di gnutls-3.5.14-1.fc25.i686 entra in conflitto con il file del pacchetto gnutls-3.5.12-2.fc25.x86_64
  il file /usr/share/locale/fi/LC_MESSAGES/gnutls.mo dell'installazione di gnutls-3.5.14-1.fc25.i686 entra in conflitto con il file del pacchetto gnutls-3.5.12-2.fc25.x86_64
  il file /usr/share/locale/fr/LC_MESSAGES/gnutls.mo dell'installazione di gnutls-3.5.14-1.fc25.i686 entra in conflitto con il file del pacchetto gnutls-3.5.12-2.fc25.x86_64
  il file /usr/share/locale/it/LC_MESSAGES/gnutls.mo dell'installazione di gnutls-3.5.14-1.fc25.i686 entra in conflitto con il file del pacchetto gnutls-3.5.12-2.fc25.x86_64
  il file /usr/share/locale/ms/LC_MESSAGES/gnutls.mo dell'installazione di gnutls-3.5.14-1.fc25.i686 entra in conflitto con il file del pacchetto gnutls-3.5.12-2.fc25.x86_64
  il file /usr/share/locale/nl/LC_MESSAGES/gnutls.mo dell'installazione di gnutls-3.5.14-1.fc25.i686 entra in conflitto con il file del pacchetto gnutls-3.5.12-2.fc25.x86_64
  il file /usr/share/locale/pl/LC_MESSAGES/gnutls.mo dell'installazione di gnutls-3.5.14-1.fc25.i686 entra in conflitto con il file del pacchetto gnutls-3.5.12-2.fc25.x86_64
  il file /usr/share/locale/sv/LC_MESSAGES/gnutls.mo dell'installazione di gnutls-3.5.14-1.fc25.i686 entra in conflitto con il file del pacchetto gnutls-3.5.12-2.fc25.x86_64
  il file /usr/share/locale/uk/LC_MESSAGES/gnutls.mo dell'installazione di gnutls-3.5.14-1.fc25.i686 entra in conflitto con il file del pacchetto gnutls-3.5.12-2.fc25.x86_64
  il file /usr/share/locale/vi/LC_MESSAGES/gnutls.mo dell'installazione di gnutls-3.5.14-1.fc25.i686 entra in conflitto con il file del pacchetto gnutls-3.5.12-2.fc25.x86_64
  il file /usr/share/locale/zh_CN/LC_MESSAGES/gnutls.mo dell'installazione di gnutls-3.5.14-1.fc25.i686 entra in conflitto con il file del pacchetto gnutls-3.5.12-2.fc25.x86_64
  il file /usr/share/locale/af/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/az/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/bg/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/ca/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/cs/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/da/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/de/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/el/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/en_GB/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/eo/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/es/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/eu/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/fi/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/fr/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/gl/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/hr/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/hu/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/id/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/it/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/ja/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/lt/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/lv/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/nb/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/nl/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/or/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/pl/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/pt_BR/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/ro/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/ru/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/sk/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/sl/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/sq/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/sr/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/sv/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/tr/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/uk/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/vi/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/locale/zh_CN/LC_MESSAGES/gst-plugins-base-1.0.mo dell'installazione di gstreamer1-plugins-base-1.10.5-1.fc25.i686 entra in conflitto con il file del pacchetto gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
  il file /usr/share/doc/graphite2/ChangeLog dell'installazione di graphite2-1.3.10-1.fc25.i686 entra in conflitto con il file del pacchetto graphite2-1.3.6-1.fc25.x86_64
  il file /usr/share/doc/libtiff/VERSION dell'installazione di libtiff-4.0.8-1.fc25.i686 entra in conflitto con il file del pacchetto libtiff-4.0.7-5.fc25.x86_64
  il file /usr/share/doc/libtiff/RELEASE-DATE dell'installazione di libtiff-4.0.8-1.fc25.i686 entra in conflitto con il file del pacchetto libtiff-4.0.7-5.fc25.x86_64
  il file /usr/share/doc/pcre/NEWS dell'installazione di pcre-8.41-1.fc25.i686 entra in conflitto con il file del pacchetto pcre-8.40-7.fc25.x86_64

Error Summary
-------------

Non in linea

#6 02-08-2017 16:10:38

giampaolo4
Pinguino avanzato
Da milano
Registrato: 17-12-2010
Messaggi: 132

Re: Dopo un crash a meta' di aggiornamento, non aggiorna piu'

Update: ho provato entrambi gli script nelle due guide iniziali, perche' apparentemente ho esattamente quel problema, ma entrambi contengono comandi deprecati e non vanno.

Il primo script era questo, di

FreedomSka

:

#!/bin/bash
if [[ $UID -ne 0 ]]; then
    echo "Devi essere root per lanciare lo script"
    exit 1
  fi
yum check duplicates | awk '/è un duplicato/ {print $6}' > /tmp/DUPES
sed -i "s/^/sudo yum remove -y /g" /tmp/DUPES
cd /tmp
chmod +x DUPES
./DUPES

ma risponde cosi':

[root@localhost giampaolo]# bash rem-dupes.sh
Redirecting to '/usr/bin/dnf check duplicates' (see 'man yum2dnf')

Comando sconosciuto: check. Eseguire /usr/bin/dnf —help
Potrebbe essere un comando di un plugin di DNF, provare con : "dnf install 'dnf-command(check)'"
[root@localhost giampaolo]#

invece il secondo era questo, di

marcomotta

package-cleanup --dupes |
(read A && read A && sort -V) |
while read A; 
do
 read B;
 A1=$(echo "$A" | sed 's/git201//g' | tr -d '0-9\-\.');
 B1=$(echo "$B" | sed 's/git201//g' | tr -d '0-9\-\.');
 A2=$(echo "$A" | egrep "fc19|fc20");
 B2=$(echo "$B" | grep fc21);
 if [ "$A1" == "$B1" ] && [ "$A2" != "" ] && [ "$B2" != "" ]; then
  echo "Rimuovo $A e conservo $B";
  if [ "$1" != "--try" ]; then
   rpm -e --nodeps "$A";
  fi;
 fi;
done

e lui risponde cosi', invece:

[giampaolo@new-host ~]$ ~/no-dupes —try | more

Yum-utils package has been deprecated, use dnf instead.
See 'man yum2dnf' for more information.

[giampaolo@new-host ~]$

(sospira)  big_smile

Non in linea

#7 03-08-2017 17:18:37

frafra
Amministratore
Da Milano
Registrato: 14-05-2014
Messaggi: 2'279
Sito web

Re: Dopo un crash a meta' di aggiornamento, non aggiorna piu'

Il primo script pare non essere compatibile con DNF, mentre il secondo se lo si usa senza modifiche contiene riferimenti a f19 e f20, quindi non può essere utilizzato direttamente su una Fedora 25.

Che risultato ti da questo comando?

$ package-cleanup --dupes

Non in linea

#8 03-08-2017 20:25:05

giampaolo4
Pinguino avanzato
Da milano
Registrato: 17-12-2010
Messaggi: 132

Re: Dopo un crash a meta' di aggiornamento, non aggiorna piu'

Grazie della spiegazione Frafra.

Ecco il risultato del tuo comando. Una bella lista:

[giampaolo@localhost ~]$ package-cleanup --dupes

Yum-utils package has been deprecated, use dnf instead.
See 'man yum2dnf' for more information.


mesa-filesystem-17.0.5-2.fc25.x86_64
mesa-filesystem-17.0.5-3.fc25.x86_64
mesa-filesystem-17.0.5-2.fc25.i686
mesa-filesystem-17.0.5-3.fc25.i686
php-pdo-7.0.19-1.fc25.x86_64
php-pdo-7.0.21-1.fc25.x86_64
freerdp-libs-2.0.0-28.20170623git9904c32.fc25.x86_64
freerdp-libs-2.0.0-27.20170512gitb1df835.fc25.x86_64
perl-libs-5.24.1-385.fc25.x86_64
perl-libs-5.24.2-387.fc25.x86_64
libipa_hbac-1.15.2-5.fc25.x86_64
libipa_hbac-1.15.2-3.fc25.x86_64
abrt-python3-2.9.0-2.fc25.x86_64
abrt-python3-2.9.0-1.fc25.x86_64
wine-courier-fonts-2.8-1.fc25.noarch
wine-courier-fonts-2.11-1.fc25.noarch
abrt-retrace-client-2.9.0-2.fc25.x86_64
abrt-retrace-client-2.9.0-1.fc25.x86_64
wine-wingdings-fonts-2.11-1.fc25.noarch
wine-wingdings-fonts-2.8-1.fc25.noarch
tigervnc-server-minimal-1.7.1-4.fc25.x86_64
tigervnc-server-minimal-1.8.0-1.fc25.x86_64
mariadb-config-10.1.24-3.fc25.x86_64
mariadb-config-10.1.21-3.fc25.x86_64
wine-marlett-fonts-2.11-1.fc25.noarch
wine-marlett-fonts-2.8-1.fc25.noarch
libsss_idmap-1.15.2-3.fc25.x86_64
libsss_idmap-1.15.2-5.fc25.x86_64
abrt-addon-xorg-2.9.0-2.fc25.x86_64
abrt-addon-xorg-2.9.0-1.fc25.x86_64
libsndfile-1.0.28-3.fc25.x86_64
libsndfile-1.0.28-1.fc25.x86_64
abrt-2.9.0-1.fc25.x86_64
abrt-2.9.0-2.fc25.x86_64
libsolv-0.6.27-2.fc25.x86_64                                                                                                                                                                                                  
libsolv-0.6.28-1.fc25.x86_64                                                                                                                                                                                                  
perl-macros-5.24.2-387.fc25.x86_64                                                                                                                                                                                            
perl-macros-5.24.1-385.fc25.x86_64                                                                                                                                                                                            
vlc-core-3.0.0-0.29.git20170622.fc25.x86_64                                                                                                                                                                                   
vlc-core-3.0.0-0.16.fc25.x86_64                                                                                                                                                                                               
gssproxy-0.7.0-9.fc25.x86_64                                                                                                                                                                                                  
gssproxy-0.7.0-8.fc25.x86_64                                                                                                                                                                                                  
libacl-2.2.52-13.fc25.x86_64                                                                                                                                                                                                  
libacl-2.2.52-12.fc25.x86_64                                                                                                                                                                                                  
libreoffice-graphicfilter-5.2.7.2-3.fc25.x86_64                                                                                                                                                                               
libreoffice-graphicfilter-5.2.7.2-5.fc25.x86_64
wine-fixedsys-fonts-2.8-1.fc25.noarch
wine-fixedsys-fonts-2.11-1.fc25.noarch
libreoffice-5.2.7.2-5.fc25.x86_64
libreoffice-5.2.7.2-3.fc25.x86_64
wine-common-2.8-1.fc25.noarch
wine-common-2.11-1.fc25.noarch
mariadb-10.1.21-3.fc25.x86_64
mariadb-10.1.24-3.fc25.x86_64
abrt-plugin-bodhi-2.9.0-1.fc25.x86_64
abrt-plugin-bodhi-2.9.0-2.fc25.x86_64
perl-Errno-1.25-385.fc25.x86_64
perl-Errno-1.25-387.fc25.x86_64
unzip-6.0-31.fc25.x86_64
unzip-6.0-32.fc25.x86_64
dbus-libs-1.11.14-1.fc25.x86_64
dbus-libs-1.11.12-1.fc25.x86_64
sssd-1.15.2-3.fc25.x86_64
sssd-1.15.2-5.fc25.x86_64
systemd-libs-231-17.fc25.x86_64
systemd-libs-231-15.fc25.x86_64
gtk3-3.22.16-1.fc25.x86_64
gtk3-3.22.15-2.fc25.x86_64
libreoffice-gtk3-5.2.7.2-5.fc25.x86_64
libreoffice-gtk3-5.2.7.2-3.fc25.x86_64
libdrm-2.4.81-1.fc25.x86_64
libdrm-2.4.79-1.fc25.x86_64
perl-DBD-MySQL-4.043-1.fc25.x86_64
perl-DBD-MySQL-4.042-1.fc25.x86_64
libreoffice-math-5.2.7.2-5.fc25.x86_64
libreoffice-math-5.2.7.2-3.fc25.x86_64
samba-winbind-clients-4.5.11-0.fc25.x86_64
samba-winbind-clients-4.5.10-0.fc25.x86_64
gnutls-3.5.14-1.fc25.x86_64
gnutls-3.5.12-2.fc25.x86_64
selinux-policy-3.13.1-225.16.fc25.noarch
selinux-policy-3.13.1-225.18.fc25.noarch
libmtp-1.1.13-1.fc25.x86_64
libmtp-1.1.11-1.fc25.x86_64
pcre-8.41-1.fc25.x86_64
pcre-8.40-7.fc25.x86_64
kf5-kipi-plugins-5.6.0-1.fc25.x86_64
kf5-kipi-plugins-5.5.0-1.fc25.x86_64
libtirpc-1.0.1-4.rc3.fc25.x86_64
libtirpc-1.0.2-0.fc25.x86_64
mariadb-server-10.1.24-3.fc25.x86_64
mariadb-server-10.1.21-3.fc25.x86_64
iproute-4.10.0-1.fc25.x86_64
iproute-4.11.0-1.fc25.x86_64
dbus-1.11.14-1.fc25.x86_64
dbus-1.11.12-1.fc25.x86_64
samba-common-tools-4.5.11-0.fc25.x86_64
samba-common-tools-4.5.10-0.fc25.x86_64
abrt-libs-2.9.0-1.fc25.x86_64
abrt-libs-2.9.0-2.fc25.x86_64
sqlite-libs-3.14.2-1.fc25.x86_64
sqlite-libs-3.14.2-2.fc25.x86_64
perl-threads-2.16-1.fc25.x86_64
perl-threads-2.15-1.fc25.x86_64
libreoffice-ure-common-5.2.7.2-3.fc25.noarch
libreoffice-ure-common-5.2.7.2-5.fc25.noarch
mesa-libOSMesa-17.0.5-2.fc25.x86_64
mesa-libOSMesa-17.0.5-3.fc25.x86_64
perl-Scalar-List-Utils-1.47-1.fc25.x86_64
perl-Scalar-List-Utils-1.48-1.fc25.x86_64
rpcbind-0.2.4-6.rc1.fc25.x86_64
rpcbind-0.2.4-6.rc2.fc25.x86_64
httpd-tools-2.4.25-1.fc25.x86_64
httpd-tools-2.4.27-3.fc25.x86_64
bind-libs-9.10.5-2.P2.fc25.x86_64
bind-libs-9.10.4-5.P8.fc25.x86_64
json-c-0.12.1-1.fc25.x86_64
json-c-0.12.1-2.fc25.x86_64
mesa-libxatracker-17.0.5-2.fc25.x86_64
mesa-libxatracker-17.0.5-3.fc25.x86_64
audit-libs-2.7.6-1.fc25.x86_64
audit-libs-2.7.7-1.fc25.x86_64
mesa-libwayland-egl-17.0.5-2.fc25.x86_64
mesa-libwayland-egl-17.0.5-3.fc25.x86_64
wine-capi-2.8-1.fc25.x86_64
wine-capi-2.11-1.fc25.x86_64
wine-alsa-2.8-1.fc25.x86_64
wine-alsa-2.11-1.fc25.x86_64
kf5-messagelib-16.12.3-2.fc25.x86_64
kf5-messagelib-16.12.3-1.fc25.x86_64
perl-threads-shared-1.57-1.fc25.x86_64
perl-threads-shared-1.55-2.fc25.x86_64
gstreamer1-1.10.4-1.fc25.x86_64
gstreamer1-1.10.5-1.fc25.x86_64
rsync-3.1.2-3.fc25.x86_64
rsync-3.1.2-4.fc25.x86_64
samba-winbind-4.5.10-0.fc25.x86_64
samba-winbind-4.5.11-0.fc25.x86_64
sssd-common-1.15.2-5.fc25.x86_64
sssd-common-1.15.2-3.fc25.x86_64
abrt-cli-2.9.0-1.fc25.x86_64
abrt-cli-2.9.0-2.fc25.x86_64
abrt-gui-libs-2.9.0-2.fc25.x86_64
abrt-gui-libs-2.9.0-1.fc25.x86_64
hwdata-0.302-1.fc25.noarch
hwdata-0.300-1.fc25.noarch
glibc-2.24-9.fc25.x86_64
glibc-2.24-4.fc25.x86_64
libproxy-0.4.15-2.fc25.x86_64
libproxy-0.4.14-1.fc25.x86_64
poppler-0.45.0-2.fc25.x86_64
poppler-0.45.0-5.fc25.x86_64
bind99-libs-9.9.9-4.P8.fc25.x86_64
bind99-libs-9.9.10-2.P3.fc25.x86_64
libreoffice-core-5.2.7.2-3.fc25.x86_64
libreoffice-core-5.2.7.2-5.fc25.x86_64
linux-firmware-20170605-74.git37857004.fc25.noarch
linux-firmware-20170313-72.git695f2d6d.fc25.noarch
GeoIP-1.6.11-1.fc25.x86_64
GeoIP-1.6.10-1.fc25.x86_64
wine-openal-2.8-1.fc25.x86_64
wine-openal-2.11-1.fc25.x86_64
libreoffice-gtk2-5.2.7.2-5.fc25.x86_64
libreoffice-gtk2-5.2.7.2-3.fc25.x86_64
abrt-addon-coredump-helper-2.9.0-2.fc25.x86_64
abrt-addon-coredump-helper-2.9.0-1.fc25.x86_64
php-gmp-7.0.19-1.fc25.x86_64
php-gmp-7.0.21-1.fc25.x86_64
gtk-update-icon-cache-3.22.16-1.fc25.x86_64
gtk-update-icon-cache-3.22.15-2.fc25.x86_64
sssd-client-1.15.2-5.fc25.x86_64
sssd-client-1.15.2-3.fc25.x86_64
mariadb-errmsg-10.1.24-3.fc25.x86_64
mariadb-errmsg-10.1.21-3.fc25.x86_64
libreoffice-calc-5.2.7.2-3.fc25.x86_64
libreoffice-calc-5.2.7.2-5.fc25.x86_64
abrt-gui-2.9.0-1.fc25.x86_64
abrt-gui-2.9.0-2.fc25.x86_64
libcrypt-nss-2.24-4.fc25.x86_64
libcrypt-nss-2.24-9.fc25.x86_64
systemd-231-15.fc25.x86_64
systemd-231-17.fc25.x86_64
libreoffice-emailmerge-5.2.7.2-5.fc25.x86_64
libreoffice-emailmerge-5.2.7.2-3.fc25.x86_64
knode-libs-4.14.10-31.fc25.x86_64
knode-libs-4.14.10-27.fc25.x86_64
c-ares-1.12.0-1.fc25.x86_64
c-ares-1.13.0-1.fc25.x86_64
libteam-1.26-1.fc25.x86_64
libteam-1.27-1.fc25.x86_64
sssd-ldap-1.15.2-3.fc25.x86_64
sssd-ldap-1.15.2-5.fc25.x86_64
glibc-common-2.24-4.fc25.x86_64
glibc-common-2.24-9.fc25.x86_64
samba-winbind-modules-4.5.10-0.fc25.x86_64
samba-winbind-modules-4.5.11-0.fc25.x86_64
wine-twain-2.11-1.fc25.x86_64
wine-twain-2.8-1.fc25.x86_64
wine-pulseaudio-2.8-1.fc25.x86_64
wine-pulseaudio-2.11-1.fc25.x86_64
mesa-libglapi-17.0.5-2.fc25.x86_64
mesa-libglapi-17.0.5-3.fc25.x86_64
dhcp-common-4.3.5-2.fc25.noarch
dhcp-common-4.3.5-3.fc25.noarch
acl-2.2.52-12.fc25.x86_64
acl-2.2.52-13.fc25.x86_64
mariadb-common-10.1.24-3.fc25.x86_64
mariadb-common-10.1.21-3.fc25.x86_64
jansson-2.10-2.fc25.x86_64
jansson-2.9-1.fc25.x86_64
perl-File-Path-2.12-366.fc25.noarch
perl-File-Path-2.12-365.fc25.noarch
php-cli-7.0.21-1.fc25.x86_64
php-cli-7.0.19-1.fc25.x86_64
sssd-krb5-1.15.2-3.fc25.x86_64
sssd-krb5-1.15.2-5.fc25.x86_64
mariadb-libs-10.1.21-3.fc25.x86_64
mariadb-libs-10.1.24-3.fc25.x86_64
glibc-headers-2.24-4.fc25.x86_64
glibc-headers-2.24-9.fc25.x86_64
libsmbclient-4.5.10-0.fc25.x86_64
libsmbclient-4.5.11-0.fc25.x86_64
wine-opencl-2.8-1.fc25.x86_64
wine-opencl-2.11-1.fc25.x86_64
php-mbstring-7.0.21-1.fc25.x86_64
php-mbstring-7.0.19-1.fc25.x86_64
kmail-libs-16.12.3-1.fc25.x86_64
kmail-libs-16.12.3-2.fc25.x86_64
qt5-qtdeclarative-5.7.1-5.fc25.x86_64
qt5-qtdeclarative-5.7.1-8.fc25.x86_64
libtiff-4.0.7-5.fc25.x86_64
libtiff-4.0.8-1.fc25.x86_64
libsss_nss_idmap-1.15.2-3.fc25.x86_64
libsss_nss_idmap-1.15.2-5.fc25.x86_64
wine-systemd-2.11-1.fc25.noarch
wine-systemd-2.8-1.fc25.noarch
ntfs-3g-2017.3.23-1.fc25.x86_64
ntfs-3g-2016.2.22-4.fc25.x86_64
mesa-libGL-17.0.5-2.fc25.x86_64
mesa-libGL-17.0.5-3.fc25.x86_64
libreoffice-langpack-en-5.2.7.2-3.fc25.x86_64
libreoffice-langpack-en-5.2.7.2-5.fc25.x86_64
firewall-config-0.4.4.4-1.fc25.noarch
firewall-config-0.4.4.5-1.fc25.noarch
sssd-ad-1.15.2-3.fc25.x86_64
sssd-ad-1.15.2-5.fc25.x86_64
systemd-pam-231-17.fc25.x86_64
systemd-pam-231-15.fc25.x86_64
webkitgtk4-jsc-2.16.3-1.fc25.x86_64
webkitgtk4-jsc-2.16.5-1.fc25.x86_64
autocorr-en-5.2.7.2-5.fc25.noarch
autocorr-en-5.2.7.2-3.fc25.noarch
sssd-common-pac-1.15.2-3.fc25.x86_64
sssd-common-pac-1.15.2-5.fc25.x86_64
wine-small-fonts-2.8-1.fc25.noarch
wine-small-fonts-2.11-1.fc25.noarch
vim-minimal-8.0.600-1.fc25.x86_64
vim-minimal-8.0.705-1.fc25.x86_64
mesa-libEGL-17.0.5-2.fc25.x86_64
mesa-libEGL-17.0.5-3.fc25.x86_64
knode-4.14.10-31.fc25.x86_64
knode-4.14.10-27.fc25.x86_64
wine-tahoma-fonts-2.11-1.fc25.noarch
wine-tahoma-fonts-2.8-1.fc25.noarch
httpd-2.4.27-3.fc25.x86_64
httpd-2.4.25-1.fc25.x86_64
perl-IO-1.36-387.fc25.x86_64
perl-IO-1.36-385.fc25.x86_64
gstreamer1-plugins-base-1.10.4-1.fc25.x86_64
gstreamer1-plugins-base-1.10.5-1.fc25.x86_64
tigervnc-license-1.8.0-1.fc25.noarch
tigervnc-license-1.7.1-4.fc25.noarch
libreoffice-opensymbol-fonts-5.2.7.2-5.fc25.noarch
libreoffice-opensymbol-fonts-5.2.7.2-3.fc25.noarch
python3-firewall-0.4.4.4-1.fc25.noarch
python3-firewall-0.4.4.5-1.fc25.noarch
kmail-16.12.3-2.fc25.x86_64
kmail-16.12.3-1.fc25.x86_64
kf5-kipi-plugins-libs-5.5.0-1.fc25.x86_64
kf5-kipi-plugins-libs-5.6.0-1.fc25.x86_64
wine-system-fonts-2.11-1.fc25.noarch
wine-system-fonts-2.8-1.fc25.noarch
pciutils-libs-3.5.5-1.fc25.x86_64
pciutils-libs-3.5.4-1.fc25.x86_64
quota-nls-4.03-7.fc25.noarch
quota-nls-4.03-8.fc25.noarch
wine-fonts-2.8-1.fc25.noarch
wine-fonts-2.11-1.fc25.noarch
qrencode-libs-3.4.2-6.fc24.x86_64
qrencode-libs-3.4.4-1.fc25.x86_64
nfs-utils-2.1.1-5.rc4.fc25.x86_64
nfs-utils-2.1.1-5.rc2.fc25.x86_64
graphite2-1.3.10-1.fc25.x86_64
graphite2-1.3.6-1.fc25.x86_64
php-common-7.0.21-1.fc25.x86_64
php-common-7.0.19-1.fc25.x86_64
wine-cms-2.8-1.fc25.x86_64
wine-cms-2.11-1.fc25.x86_64
libreoffice-pdfimport-5.2.7.2-5.fc25.x86_64
libreoffice-pdfimport-5.2.7.2-3.fc25.x86_64
dhcp-libs-4.3.5-3.fc25.x86_64
dhcp-libs-4.3.5-2.fc25.x86_64
abrt-addon-kerneloops-2.9.0-1.fc25.x86_64
abrt-addon-kerneloops-2.9.0-2.fc25.x86_64
mariadb-server-utils-10.1.21-3.fc25.x86_64
mariadb-server-utils-10.1.24-3.fc25.x86_64
abrt-addon-pstoreoops-2.9.0-2.fc25.x86_64
abrt-addon-pstoreoops-2.9.0-1.fc25.x86_64
gnome-keyring-3.20.0-1.fc25.x86_64
gnome-keyring-3.20.1-1.fc25.x86_64
abrt-addon-ccpp-2.9.0-1.fc25.x86_64
abrt-addon-ccpp-2.9.0-2.fc25.x86_64
abrt-desktop-2.9.0-2.fc25.x86_64
abrt-desktop-2.9.0-1.fc25.x86_64
sssd-krb5-common-1.15.2-3.fc25.x86_64
sssd-krb5-common-1.15.2-5.fc25.x86_64
libtasn1-4.10-1.fc25.x86_64
libtasn1-4.12-1.fc25.x86_64
firewalld-0.4.4.5-1.fc25.noarch
firewalld-0.4.4.4-1.fc25.noarch
bind-libs-lite-9.10.5-2.P2.fc25.x86_64
bind-libs-lite-9.10.4-5.P8.fc25.x86_64
wine-desktop-2.8-1.fc25.noarch
wine-desktop-2.11-1.fc25.noarch
bind99-license-9.9.9-4.P8.fc25.noarch
bind99-license-9.9.10-2.P3.fc25.noarch
php-bcmath-7.0.21-1.fc25.x86_64
php-bcmath-7.0.19-1.fc25.x86_64
php-json-7.0.21-1.fc25.x86_64
php-json-7.0.19-1.fc25.x86_64
sssd-ipa-1.15.2-3.fc25.x86_64
sssd-ipa-1.15.2-5.fc25.x86_64
libstoraged-2.6.2-6.fc25.x86_64
libstoraged-2.6.2-4.fc25.x86_64
gstreamer1-plugins-bad-free-gtk-1.10.5-1.fc25.x86_64
gstreamer1-plugins-bad-free-gtk-1.10.4-1.fc25.x86_64
libwinpr-2.0.0-28.20170623git9904c32.fc25.x86_64
libwinpr-2.0.0-27.20170512gitb1df835.fc25.x86_64
libreoffice-x11-5.2.7.2-3.fc25.x86_64
libreoffice-x11-5.2.7.2-5.fc25.x86_64
libreoffice-impress-5.2.7.2-5.fc25.x86_64
libreoffice-impress-5.2.7.2-3.fc25.x86_64
php-xml-7.0.21-1.fc25.x86_64
php-xml-7.0.19-1.fc25.x86_64
libreoffice-pyuno-5.2.7.2-3.fc25.x86_64
libreoffice-pyuno-5.2.7.2-5.fc25.x86_64
libreoffice-base-5.2.7.2-3.fc25.x86_64
libreoffice-base-5.2.7.2-5.fc25.x86_64
firewalld-filesystem-0.4.4.5-1.fc25.noarch
firewalld-filesystem-0.4.4.4-1.fc25.noarch
gstreamer1-plugins-bad-free-1.10.5-1.fc25.x86_64
gstreamer1-plugins-bad-free-1.10.4-1.fc25.x86_64
expat-2.2.1-1.fc25.x86_64
expat-2.2.0-1.fc25.x86_64
systemd-udev-231-15.fc25.x86_64
systemd-udev-231-17.fc25.x86_64
wine-core-2.8-1.fc25.x86_64
wine-core-2.11-1.fc25.x86_64
libreoffice-ure-5.2.7.2-5.fc25.x86_64
libreoffice-ure-5.2.7.2-3.fc25.x86_64
libgcrypt-1.7.8-1.fc25.x86_64
libgcrypt-1.6.6-1.fc25.x86_64
ffmpeg-libs-3.1.9-1.fc25.x86_64
ffmpeg-libs-3.1.8-1.fc25.x86_64
dhcp-client-4.3.5-2.fc25.x86_64
dhcp-client-4.3.5-3.fc25.x86_64
selinux-policy-targeted-3.13.1-225.18.fc25.noarch
selinux-policy-targeted-3.13.1-225.16.fc25.noarch
bind-license-9.10.4-5.P8.fc25.noarch
bind-license-9.10.5-2.P2.fc25.noarch
samba-common-4.5.10-0.fc25.noarch
samba-common-4.5.11-0.fc25.noarch
curl-7.51.0-7.fc25.x86_64
curl-7.51.0-6.fc25.x86_64
mesa-libgbm-17.0.5-3.fc25.x86_64
mesa-libgbm-17.0.5-2.fc25.x86_64
glibc-devel-2.24-4.fc25.x86_64
glibc-devel-2.24-9.fc25.x86_64
python3-sssdconfig-1.15.2-5.fc25.noarch
python3-sssdconfig-1.15.2-3.fc25.noarch
libcurl-7.51.0-6.fc25.x86_64
libcurl-7.51.0-7.fc25.x86_64
samba-client-libs-4.5.11-0.fc25.x86_64
samba-client-libs-4.5.10-0.fc25.x86_64
libsoup-2.56.0-2.fc25.x86_64
libsoup-2.56.0-3.fc25.x86_64
abrt-addon-vmcore-2.9.0-1.fc25.x86_64
abrt-addon-vmcore-2.9.0-2.fc25.x86_64
storaged-2.6.2-6.fc25.x86_64
storaged-2.6.2-4.fc25.x86_64
qt5-qtwebengine-5.9.1-1.fc25.x86_64
qt5-qtwebengine-5.8.0-14.fc25.x86_64
wine-ldap-2.11-1.fc25.x86_64
wine-ldap-2.8-1.fc25.x86_64
ntfsprogs-2017.3.23-1.fc25.x86_64
ntfsprogs-2016.2.22-4.fc25.x86_64
dbus-x11-1.11.14-1.fc25.x86_64
dbus-x11-1.11.12-1.fc25.x86_64
wine-symbol-fonts-2.8-1.fc25.noarch
wine-symbol-fonts-2.11-1.fc25.noarch
vlc-3.0.0-0.29.git20170622.fc25.x86_64
vlc-3.0.0-0.16.fc25.x86_64
samba-client-4.5.11-0.fc25.x86_64
samba-client-4.5.10-0.fc25.x86_64
wine-ms-sans-serif-fonts-2.11-1.fc25.noarch
wine-ms-sans-serif-fonts-2.8-1.fc25.noarch
glibc-langpack-en-2.24-9.fc25.x86_64
glibc-langpack-en-2.24-4.fc25.x86_64
libwbclient-4.5.11-0.fc25.x86_64
libwbclient-4.5.10-0.fc25.x86_64
wine-filesystem-2.8-1.fc25.noarch
wine-filesystem-2.11-1.fc25.noarch
libdb-5.3.28-16.fc25.x86_64
libdb-5.3.28-24.fc25.x86_64
mesa-dri-drivers-17.0.5-2.fc25.x86_64
mesa-dri-drivers-17.0.5-3.fc25.x86_64
httpd-filesystem-2.4.25-1.fc25.noarch
httpd-filesystem-2.4.27-3.fc25.noarch
quota-4.03-8.fc25.x86_64
quota-4.03-7.fc25.x86_64
samba-common-libs-4.5.10-0.fc25.x86_64
samba-common-libs-4.5.11-0.fc25.x86_64
perl-5.24.2-387.fc25.x86_64
perl-5.24.1-385.fc25.x86_64
openldap-2.4.44-10.fc25.x86_64
openldap-2.4.44-11.fc25.x86_64
libreoffice-writer-5.2.7.2-5.fc25.x86_64
libreoffice-writer-5.2.7.2-3.fc25.x86_64
abrt-addon-python3-2.9.0-2.fc25.x86_64
abrt-addon-python3-2.9.0-1.fc25.x86_64
php-7.0.19-1.fc25.x86_64
php-7.0.21-1.fc25.x86_64
samba-libs-4.5.11-0.fc25.x86_64
samba-libs-4.5.10-0.fc25.x86_64
abrt-tui-2.9.0-2.fc25.x86_64
abrt-tui-2.9.0-1.fc25.x86_64
gsm-1.0.17-1.fc25.x86_64
gsm-1.0.16-1.fc25.x86_64
abrt-dbus-2.9.0-1.fc25.x86_64
abrt-dbus-2.9.0-2.fc25.x86_64
wine-times-new-roman-fonts-2.8-1.fc25.noarch
wine-times-new-roman-fonts-2.11-1.fc25.noarch
wine-arial-fonts-2.11-1.fc25.noarch
wine-arial-fonts-2.8-1.fc25.noarch
libreoffice-draw-5.2.7.2-3.fc25.x86_64
libreoffice-draw-5.2.7.2-5.fc25.x86_64
pciutils-3.5.5-1.fc25.x86_64
pciutils-3.5.4-1.fc25.x86_64
libreoffice-data-5.2.7.2-5.fc25.noarch
libreoffice-data-5.2.7.2-3.fc25.noarch
libinput-1.6.3-5.fc25.x86_64
libinput-1.6.3-6.fc25.x86_64
sssd-proxy-1.15.2-5.fc25.x86_64
sssd-proxy-1.15.2-3.fc25.x86_64
[giampaolo@localhost ~]$ 

Non in linea

#9 04-08-2017 09:38:36

frafra
Amministratore
Da Milano
Registrato: 14-05-2014
Messaggi: 2'279
Sito web

Re: Dopo un crash a meta' di aggiornamento, non aggiorna piu'

Non in linea

#10 12-08-2017 14:31:12

giampaolo4
Pinguino avanzato
Da milano
Registrato: 17-12-2010
Messaggi: 132

Re: Dopo un crash a meta' di aggiornamento, non aggiorna piu'

Ho provato, ma non sembra cambiare nulla. In chat mi pareva di aver capito che bisogna comunque rimuovere i duplicati.

Qualcuno saprebbe aiutare ad aggiornare lo script di

marcomotta

?

Era questo:

package-cleanup --dupes |
(read A && read A && sort -V) |
while read A; 
do
 read B;
 A1=$(echo "$A" | sed 's/git201//g' | tr -d '0-9\-\.');
 B1=$(echo "$B" | sed 's/git201//g' | tr -d '0-9\-\.');
 A2=$(echo "$A" | egrep "fc19|fc20");
 B2=$(echo "$B" | grep fc21);
 if [ "$A1" == "$B1" ] && [ "$A2" != "" ] && [ "$B2" != "" ]; then
  echo "Rimuovo $A e conservo $B";
  if [ "$1" != "--try" ]; then
   rpm -e --nodeps "$A";
  fi;
 fi;
done

Vedo i riferimenti a F19/20/21 ma non ho idea di come dovrei modificarlo. Io ho la 25...

Ciao, e grazie

Non in linea

#11 15-08-2017 10:10:57

frafra
Amministratore
Da Milano
Registrato: 14-05-2014
Messaggi: 2'279
Sito web

Re: Dopo un crash a meta' di aggiornamento, non aggiorna piu'

$ package-cleanup --help
[...]
  Duplicate Package Options:
    --dupes             Scan for duplicates in your rpmdb
    --cleandupes        Scan for duplicates in your rpmdb and remove older
    --noscripts         disable rpm scriptlets from running when cleaning
                        duplicates
[...]

Di conseguenza proverei con --cleandupes --noscripts.

Non in linea

#12 15-08-2017 13:48:16

frafra
Amministratore
Da Milano
Registrato: 14-05-2014
Messaggi: 2'279
Sito web

Re: Dopo un crash a meta' di aggiornamento, non aggiorna piu'

Alternativa nel caso di pacchetti protetti:

# rpm -e --nodeps --noscripts $(package-cleanup --dupes | sed -n 2~2p)

"2~2p" serve a selezionare le linee dispari, ovvero i vecchi pacchetti che non dovrebbero essere più presenti in quanto rimpiazzati dai nuovi.

Ultima modifica di frafra (15-08-2017 14:03:30)

Non in linea

#13 15-08-2017 16:21:42

giampaolo4
Pinguino avanzato
Da milano
Registrato: 17-12-2010
Messaggi: 132

Re: Dopo un crash a meta' di aggiornamento, non aggiorna piu'

RIP Fedora 25 sad

Dopo aver provato l'ultimo comando, i risultati sono stati questi:

[root@new-host-2 ~]# rpm -e —nodeps —noscripts $(package-cleanup —dupes | sed -n 2~2p)   

Yum-utils package has been deprecated, use dnf instead.
See 'man yum2dnf' for more information.

Siccome aveva lavorato un po' e sembrava aver eseguito, provo a fare l'upgrade, con risultati disastrosi:

[root@new-host-2 ~]# dnf upgrade    
ERROR:root:code for hash md5 was not found.
Traceback (most recent call last):
  File "/usr/lib64/python3.5/hashlib.py", line 240, in <module>
    func = __get_hash(__func_name)
  File "/usr/lib64/python3.5/hashlib.py", line 117, in __get_builtin_constructor
    raise ValueError('unsupported hash type ' + name)
ValueError: unsupported hash type md5
ERROR:root:code for hash sha1 was not found.
Traceback (most recent call last):
  File "/usr/lib64/python3.5/hashlib.py", line 240, in <module>
    func = __get_hash(__func_name)
  File "/usr/lib64/python3.5/hashlib.py", line 117, in __get_builtin_constructor
    raise ValueError('unsupported hash type ' + name)
ValueError: unsupported hash type sha1
ERROR:root:code for hash sha224 was not found.
Traceback (most recent call last):
  File "/usr/lib64/python3.5/hashlib.py", line 240, in <module>
    func = __get_hash(__func_name)
  File "/usr/lib64/python3.5/hashlib.py", line 117, in __get_builtin_constructor
    raise ValueError('unsupported hash type ' + name)
ValueError: unsupported hash type sha224
ERROR:root:code for hash sha256 was not found.
Traceback (most recent call last):
  File "/usr/lib64/python3.5/hashlib.py", line 240, in <module>
    func = __get_hash(__func_name)
  File "/usr/lib64/python3.5/hashlib.py", line 117, in __get_builtin_constructor
    raise ValueError('unsupported hash type ' + name)
ValueError: unsupported hash type sha256
ERROR:root:code for hash sha384 was not found.
Traceback (most recent call last):
  File "/usr/lib64/python3.5/hashlib.py", line 240, in <module>
    func = __get_hash(__func_name)
  File "/usr/lib64/python3.5/hashlib.py", line 117, in __get_builtin_constructor
    raise ValueError('unsupported hash type ' + name)
ValueError: unsupported hash type sha384
ERROR:root:code for hash sha512 was not found.
Traceback (most recent call last):
  File "/usr/lib64/python3.5/hashlib.py", line 240, in <module>
    func = __get_hash(__func_name)
  File "/usr/lib64/python3.5/hashlib.py", line 117, in __get_builtin_constructor
    raise ValueError('unsupported hash type ' + name)
ValueError: unsupported hash type sha512
Traceback (most recent call last):
  File "/usr/bin/dnf", line 57, in <module>
    from dnf.cli import main
  File "/usr/lib/python3.5/site-packages/dnf/__init__.py", line 23, in <module>
    import dnf.exceptions
  File "/usr/lib/python3.5/site-packages/dnf/exceptions.py", line 21, in <module>
    from dnf.i18n import ucd
  File "/usr/lib/python3.5/site-packages/dnf/i18n.py", line 22, in <module>
    from dnf.pycomp import unicode
  File "/usr/lib/python3.5/site-packages/dnf/pycomp.py", line 24, in <module>
    import email.mime.text
  File "/usr/lib64/python3.5/email/mime/text.py", line 10, in <module>
    from email.mime.nonmultipart import MIMENonMultipart
  File "/usr/lib64/python3.5/email/mime/nonmultipart.py", line 10, in <module>
    from email.mime.base import MIMEBase
  File "/usr/lib64/python3.5/email/mime/base.py", line 9, in <module>
    from email import message
  File "/usr/lib64/python3.5/email/message.py", line 16, in <module>
    from email import utils
  File "/usr/lib64/python3.5/email/utils.py", line 28, in <module>
    import random
  File "/usr/lib64/python3.5/random.py", line 45, in <module>
    from hashlib import sha512 as _sha512
ImportError: cannot import name 'sha512'
[root@new-host-2 ~]#

Notare gli @ strampalati che genera per gli utenti...

Comunque a quel punto non riesco neanche ad aprire ne' Firefox ne' Chrome ne' Dolphin, nonostante abbia l'interfaccia grafica (ad esempio stavo usando Telegram desktop).

Uscito addirittura con poweroff nonostante GUI, perché:

  • era sparito il tasto spegni,

  • a richiesta di uscire dalla sessione non faceva niente,

  • da ctrl+alt+F2 non mi loggava nè come root nè come user e, infine,

  • manco Reisub.

Ora non riesco più a rientrare. Spero solo di riuscire almeno ad accedere al disco da live, perché é criptato e per ora non sono riuscito. Apro apposito thread su F26.

Diciamo che speravo meglio per il pomeriggio di Ferragosto...

Non in linea

#14 15-08-2017 18:31:30

frafra
Amministratore
Da Milano
Registrato: 14-05-2014
Messaggi: 2'279
Sito web

Re: Dopo un crash a meta' di aggiornamento, non aggiorna piu'

È stato rimosso qualche pacchetto fondamentale, mi dispiace. In futuro in situazioni di questo tipo bisognerebbe provare a cancellare il pacchetto solo dal database RPM, così forse si eviterebbe questo problema a costo di tenersi un sistema sporco.

E mai far saltare la corrente. E fare backup (anche dei pacchetti installati). E fare snapshot se il FS o il volume manager lo supporta smile

Non in linea

Piè di pagina